Package be.ehealth.businessconnector.mycarenet.memberdatacommons.builders

# Class RequestObjectBuilderFactory

java.lang.Object
be.ehealth.businessconnector.mycarenet.memberdatacommons.builders.RequestObjectBuilderFactory

public final class RequestObjectBuilderFactory extends Object
Factory for all Builders that are necessary to create a request for MemberData MyCareNet Sync. Creates a `RequestObjectBuilder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RequestObjectBuilder`
  `getEncryptedRequestObjectBuilder()`
  Retrieve an instance of a `EncryptedRequestObjectBuilderImpl` The implementation could be a custom class defined in the configuration file (property "memberdata.encryptedrequestobjectbuilder.class" ).
  `static RequestObjectBuilder`
  `getNotEncryptedRequestObjectBuilder()`
  Retrieve an instance of a `NotEncryptedRequestObjectBuilderImpl` The implementation could be a custom class defined in the configuration file (property "memberdata.notencryptedrequestobjectbuilder.class" ).

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getEncryptedRequestObjectBuilder

    public static RequestObjectBuilder getEncryptedRequestObjectBuilder() throws TechnicalConnectorException
    Retrieve an instance of a `EncryptedRequestObjectBuilderImpl` The implementation could be a custom class defined in the configuration file (property "memberdata.encryptedrequestobjectbuilder.class" ). By default, it would be "be.ehealth.businessconnector.mycarenet.memberdatacommons.builders.impl.EncryptedRequestObjectBuilderImpl"
    Returns:
      `EncryptedRequestObjectBuilderImpl` the instance of the `RequestObjectBuilder`
    Throws:
      `TechnicalConnectorException` - the technical connector exception

  - ### getNotEncryptedRequestObjectBuilder

    public static RequestObjectBuilder getNotEncryptedRequestObjectBuilder() throws TechnicalConnectorException
    Retrieve an instance of a `NotEncryptedRequestObjectBuilderImpl` The implementation could be a custom class defined in the configuration file (property "memberdata.notencryptedrequestobjectbuilder.class" ). By default, it would be "be.ehealth.businessconnector.mycarenet.memberdatacommons.builders.impl.NotEncryptedRequestObjectBuilderImpl"
    Returns:
      `NotEncryptedRequestObjectBuilderImpl` the instance of the `RequestObjectBuilder`
    Throws:
      `TechnicalConnectorException` - the technical connector exception